package com.webonlineapp.hyjavaapexdemo.components;

import com.vaadin.flow.component.Component;
import com.vaadin.flow.component.HasComponents;
import com.vaadin.flow.component.HasSize;
import com.vaadin.flow.component.Tag;
import com.vaadin.flow.component.UI;
import com.vaadin.flow.component.dependency.JavaScript;
import com.vaadin.flow.component.page.Page;

@Tag("div")
@JavaScript("https://cdn.jsdelivr.net/npm/moment@2.28.0")
@JavaScript("https://cdn.jsdelivr.net/npm/apexcharts@3.39.0")
@JavaScript("https://cdn.jsdelivr.net/npm/dayjs@1.11.0/dayjs.min.js")
@JavaScript("https://cdn.jsdelivr.net/npm/dayjs@1.11.0/plugin/quarterOfYear.js")
public class ApexchartComponent extends Component implements HasComponents, HasSize {
	private static final long serialVersionUID = 1L;
	
	private static long chartDivId = 1;
	private String additionalJs = "";
	private long chartId = 0;
	
	
	/**
	 * 
	 */
	public ApexchartComponent() { 
        setId("apex_" + getNextChartDivId());
        getElement().setAttribute("class", "chart");
 	}

	/**
	 * 
	 * @param chartOptions
	 */
	public void displayChart(String chartOptions) {
		Page page = UI.getCurrent().getPage();
		
		if (!additionalJs.equals("")) {
			page.executeJs(additionalJs);
		}
    	
    	String chartOptionsJs = 
    		(chartId == 200 ? "var " : "") + "chart" + chartId + 
    			" = new ApexCharts(document.querySelector(\"#" + getId().get() + "\"), " + 
    			chartOptions + ");" + 
    		"chart" + chartId + ".render();";
    	
    	page.executeJs(chartOptionsJs);
	}
	
	/**
	 * 
	 */
	public void destroyChart() {
		if (chartId != 200) {	// real time chart, as timer may still be running
			UI.getCurrent().getPage().executeJs("chart" + chartId + ".destroy();");
		}
	}
	
	/**
	 * 
	 * @return
	 */
	private long getNextChartDivId() {
		chartDivId++;
		
		if (chartDivId > 10000) {
			chartDivId = 1;
		}
		
		return chartDivId;
	}

	/**
	 * 
	 * @param additionalJs
	 */
	public void setAdditionalJs(String additionalJs) {
		this.additionalJs = additionalJs;
	}

	/**
	 * 
	 * @param chartId
	 */
	public void setChartId(long chartId) {
		this.chartId = chartId;
	}
	
}
