package com.webonlineapp.hyjavaapexdemo.examplecharts;

import java.util.Arrays;

import com.hyjavaapex.chart.Apexchart;
import com.hyjavaapex.model.apexcharts.ChartOptions;
import com.hyjavaapex.model.apexcharts.constants.ChartType;
import com.hyjavaapex.model.apexcharts.constants.FillType;
import com.hyjavaapex.model.apexcharts.constants.FilterType;
import com.hyjavaapex.model.apexcharts.constants.LegendPosition;
import com.hyjavaapex.model.apexcharts.constants.Palette;
import com.hyjavaapex.model.apexcharts.constants.Style;
import com.hyjavaapex.model.common.Color;
import com.webonlineapp.hyjavaapexdemo.charts.DemoChartBase;

public class DonutWithPattern extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Apexchart configure() {
		Apexchart apexchart = new Apexchart();
		ChartOptions chartOptions = apexchart.getChartOptions();
		
		chartOptions.getChart().setHeight("100%").setType(ChartType.DONUT)
			.getDropShadow().setEnabled(true).setColor(new Color("#111"))
				.setTop(-1).setLeft(3).setBlur(3).setOpacity(0.2);
		
		chartOptions.getStroke().setWidth(0);
		chartOptions.getPlotOptions().getPie().getDonut().getLabels().setShow(true)
			.getTotal().setShowAlways(true).setShow(true);
		
		chartOptions.setLabels(Arrays.asList("Comedy", "Action", "SciFi", "Drama", "Horror"));
		chartOptions.getDataLabels().getDropShadow().setBlur(3).setOpacity(0.8);

		chartOptions.getFill().setType(FillType.PATTERN).setOpacity(1)	
			.getPattern().setStyle(Arrays.asList(
				Style.VERTICALLINES, Style.SQUARES, Style.HORIZONTALLINES, Style.CIRCLES, Style.SLANTEDLINES));
		
		chartOptions.getStates().getHover().getFilter().setType(FilterType.NONE);
		chartOptions.getTheme().setPalette(Palette.PALETTE2);
		chartOptions.getTitle().setText("Favourite Movie Type");
		
		chartOptions.getResponsiveSingle().setBreakpoint(480).getOptions().getChart().setWidth(200);
		chartOptions.getResponsiveSingle().getOptions().getLegend().setPosition(LegendPosition.BOTTOM);
		
		chartOptions.setSeriesAsArrayNumber(Arrays.asList(44, 55, 41, 17, 15));

		return apexchart;
	}
	
}