package com.webonlineapp.hyjavaapexdemo.examplecharts;

import java.util.Arrays;
import java.util.Date;

import com.hyjavaapex.chart.Apexchart;
import com.hyjavaapex.model.apexcharts.ChartOptions;
import com.hyjavaapex.model.apexcharts.Series;
import com.hyjavaapex.model.apexcharts.constants.AxisType;
import com.hyjavaapex.model.apexcharts.constants.ChartType;
import com.hyjavaapex.model.apexcharts.constants.FillType;
import com.hyjavaapex.model.apexcharts.constants.GradientType;
import com.hyjavaapex.model.apexcharts.constants.LegendPosition;
import com.hyjavaapex.model.apexcharts.constants.Shade;
import com.hyjavaapex.model.apexcharts.series.Data;
import com.hyjavaapex.model.common.Function;
import com.webonlineapp.hyjavaapexdemo.charts.DemoChartBase;

public class MultiSeriesTimeLine extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Apexchart configure() {
		Apexchart apexchart = new Apexchart();
		ChartOptions chartOptions = apexchart.getChartOptions();
		
		chartOptions.getChart().setHeight("100%").setType(ChartType.RANGEBAR);
		chartOptions.getPlotOptions().getBar().setHorizontal(true);

		chartOptions.getDataLabels().setEnabled(true).setFormatter(
			new Function("var a = moment(val[0]); var b = moment(val[1]); var diff = b.diff(a, 'days'); return diff + (diff > 1 ? ' days' : ' day');", "val"));

		chartOptions.getFill().setType(FillType.GRADIENT).getGradient()
			.setShade(Shade.LIGHT).setType(GradientType.VERTICAL).setShadeIntensity(0.25)
			.setInverseColors(true).setOpacityFrom(1).setOpacityTo(1)
			.setStops(Arrays.asList(50, 0, 100, 100));
		
		chartOptions.getXaxis().setType(AxisType.DATETIME);
		chartOptions.getLegend().setPosition(LegendPosition.TOP);

		chartOptions.getSeries().add(getData(1));
		chartOptions.getSeries().add(getData(2));

		return apexchart;
	}
	
	/**
	 * 
	 * @return
	 */
	private Series getData(int seriesId) {
		Series series = new Series();;
		
		if (seriesId == 1) {
			series.setName("Bob");
			series.setDataAsArrayObject(Arrays.asList(
				new Data().setX("Design") 
						  .setY(Arrays.asList(new Date("2019/03/05").getTime(), new Date("2019/03/08").getTime())),
				new Data().setX("Code")
						  .setY(Arrays.asList(new Date("2019/03/08").getTime(), new Date("2019/03/11").getTime())),
				new Data().setX("Test")
						  .setY(Arrays.asList(new Date("2019/03/11").getTime(), new Date("2019/03/16").getTime()))
					));
		}
		else {
			series.setName("Joe");
			series.setDataAsArrayObject(Arrays.asList(
				new Data().setX("Design") 
						  .setY(Arrays.asList(new Date("2019/03/02").getTime(), new Date("2019/03/05").getTime())),
				new Data().setX("Code")
						  .setY(Arrays.asList(new Date("2019/03/06").getTime(), new Date("2019/03/09").getTime())),
				new Data().setX("Test")
						  .setY(Arrays.asList(new Date("2019/03/10").getTime(), new Date("2019/03/19").getTime()))
					));
		}
		
		return series;
	}
	
}