package com.webonlineapp.hyjavaapexdemo.examplecharts;

import java.util.Arrays;

import com.hyjavaapex.chart.Apexchart;
import com.hyjavaapex.model.apexcharts.ChartOptions;
import com.hyjavaapex.model.apexcharts.Series;
import com.hyjavaapex.model.apexcharts.constants.ChartType;
import com.hyjavaapex.model.common.Color;
import com.hyjavaapex.model.common.Function;
import com.webonlineapp.hyjavaapexdemo.charts.DemoChartBase;

public class RadarWithPolygonFill extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Apexchart configure() {
		Apexchart apexchart = new Apexchart();
		ChartOptions chartOptions = apexchart.getChartOptions();
		
		chartOptions.getChart().setHeight("100%").setType(ChartType.RADAR);
		chartOptions.getTitle().setText("Radar with Polygon Fill");
		
		chartOptions.getDataLabels().setEnabled(true);

		chartOptions.getPlotOptions().getRadar().setSize(140)
			.getPolygons().setStrokeColors(new Color("#e9e9e9"))
			.getFill().setColors(Arrays.asList(new Color("#f8f8f8"), new Color("#fff")));
		
		chartOptions.setColors(Arrays.asList(new Color("#FF4560")));
		chartOptions.getMarkers().setSize(4).setColors(Arrays.asList(new Color("#fff")))
			.setStrokeColors(new Color("#FF4560")).setStrokeWidth(2);

		chartOptions.getTooltip().getY().setFormatter(new Function("return val", "val"));

		chartOptions.getXaxis()
			.setCategoriesAsArrayString(Arrays.asList(
					"Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"));
		
		chartOptions.getYaxisSingle().setTickAmount(7).getLabels().setFormatter(
				new Function("if (i % 2 === 0) { return val } else { return '' }", "val", "i")); 
		
		Series series = new Series();
		series.setName("Series 1");
		series.setDataAsArrayNumber(Arrays.asList(20, 100, 40, 30, 50, 80, 33));
		chartOptions.getSeries().add(series);
		
		return apexchart;
	}
	
}