package com.webonlineapp.hyjavaapexdemo.examplecharts;

import java.util.Arrays;

import com.hyjavaapex.chart.Apexchart;
import com.hyjavaapex.model.apexcharts.ChartOptions;
import com.hyjavaapex.model.apexcharts.Series;
import com.hyjavaapex.model.apexcharts.constants.ChartType;
import com.hyjavaapex.model.common.Color;
import com.webonlineapp.hyjavaapexdemo.charts.DemoChartBase;

public class ReversedBarChart extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Apexchart configure() {
		Apexchart apexchart = new Apexchart();
		ChartOptions chartOptions = apexchart.getChartOptions();
		
		chartOptions.getChart().setHeight("100%").setType(ChartType.BAR);
		chartOptions.getPlotOptions().getBar().setHorizontal(true);
		chartOptions.getDataLabels().setEnabled(true);
		
		chartOptions.getXaxis().setCategoriesAsArrayString(Arrays.asList(
				"June", "July", "August", "September", "October", "November", "December"));

		chartOptions.getGrid().getXaxis().getLines().setShow(true);
		chartOptions.getYaxisSingle().setReversed(true).getAxisTicks().setShow(true);

		chartOptions.getAnnotations().getXaxisSingle().setX(500).setBorderColor(new Color("#00E396"))
			.getLabel().setBorderColor(new Color("#00E396")).setText("X annotation")
				.getStyle().setColor(new Color("#fff")).setBackground(new Color("#00E396"));
		
		chartOptions.getAnnotations().getYaxisSingle().setY("July").setY2("September")
			.getLabel().setText("Y annotation");
		
		Series series = new Series();
		series.setDataAsArrayNumber(Arrays.asList(400, 430, 448, 470, 540, 580, 690));
		chartOptions.getSeries().add(series);

		return apexchart;
	}
	
}