package com.webonlineapp.hyjavaapexdemo.examplecharts;

import java.util.Arrays;

import com.hyjavaapex.chart.Apexchart;
import com.hyjavaapex.model.apexcharts.ChartOptions;
import com.hyjavaapex.model.apexcharts.Series;
import com.hyjavaapex.model.apexcharts.constants.ChartType;
import com.hyjavaapex.model.apexcharts.constants.Curve;
import com.hyjavaapex.model.apexcharts.constants.HorizontalAlign;
import com.hyjavaapex.model.common.Color;
import com.webonlineapp.hyjavaapexdemo.charts.DemoChartBase;

public class BasicLine extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Apexchart configure() {
		Apexchart apexchart = new Apexchart();
		ChartOptions chartOptions = apexchart.getChartOptions();
		
		chartOptions.getChart().setHeight("100%").setType(ChartType.LINE).getZoom().setEnabled(false);
		chartOptions.getDataLabels().setEnabled(false);
		chartOptions.getStroke().setCurve(Curve.STRAIGHT);
		
		chartOptions.getTitle().setText("Product Trends by Month").setAlign((HorizontalAlign.LEFT));
		chartOptions.getGrid().getRow()
			.setColors(Arrays.asList(new Color("#f3f3f3"), new Color("transparent")))
			.setOpacity(0.5);
		
		chartOptions.getXaxis()
			.setCategoriesAsArrayString(Arrays.asList("Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep"));
		
		Series series = new Series();
		series.setName("Desktops");
		series.setDataAsArrayNumber(Arrays.asList(10, 41, 35, 51, 49, 62, 69, 91, 148));
		chartOptions.getSeries().add(series);
		
		return apexchart;
	}
	
}