package com.webonlineapp.hyjavaapexdemo.examplecharts;

import java.util.Arrays;

import com.hyjavaapex.chart.Apexchart;
import com.hyjavaapex.model.apexcharts.ChartOptions;
import com.hyjavaapex.model.apexcharts.Series;
import com.hyjavaapex.model.apexcharts.constants.ChartType;
import com.hyjavaapex.model.apexcharts.series.Data;
import com.hyjavaapex.model.common.Color;
import com.hyjavaapex.model.common.General;
import com.webonlineapp.hyjavaapexdemo.charts.DemoChartBase;

public class ColumnWithMarkers extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Apexchart configure() {
		Apexchart apexchart = new Apexchart();
		ChartOptions chartOptions = apexchart.getChartOptions();
		
		chartOptions.getChart().setHeight("100%").setType(ChartType.BAR);
		
		chartOptions.getPlotOptions().getBar().setColumnWidth("60%");
		chartOptions.setColors(Arrays.asList(new Color("#00E396")));	
		chartOptions.getDataLabels().setEnabled(false);

		chartOptions.getLegend().setShow(true).setShowForSingleSeries(true)
			.setCustomLegendItems(Arrays.asList("Actual", "Expected"))
			.getMarkers().setFillColors(Arrays.asList(new Color("#00E396"), new Color("#775DD0")));

		Series series = new Series();
		series.setName("Actual");
		series.setDataAsArrayObject(Arrays.asList(
			new Data().setX("2011").setY(1292)
				.setGoals(Arrays.asList(new General("{ name: 'Expected', value: 1400, strokeHeight: 5, strokeColor: '#775DD0' }"))),
			new Data().setX("2012").setY(4432)
				.setGoals(Arrays.asList(new General("{ name: 'Expected', value: 5400, strokeHeight: 5, strokeColor: '#775DD0' }"))),
			new Data().setX("2013").setY(5423)
				.setGoals(Arrays.asList(new General("{ name: 'Expected', value: 5200, strokeHeight: 5, strokeColor: '#775DD0' }"))),
			new Data().setX("2014").setY(6653)
				.setGoals(Arrays.asList(new General("{ name: 'Expected', value: 6500, strokeHeight: 5, strokeColor: '#775DD0' }"))),
			new Data().setX("2015").setY(8133)
				.setGoals(Arrays.asList(new General("{ name: 'Expected', value: 6600, strokeHeight: 13, strokeWidth: 0, strokeLineCap: 'round', strokeColor: '#775DD0' }"))),
			new Data().setX("2016").setY(7132)
				.setGoals(Arrays.asList(new General("{ name: 'Expected', value: 7500, strokeHeight: 5, strokeColor: '#775DD0' }"))),
			new Data().setX("2017").setY(7332)
				.setGoals(Arrays.asList(new General("{ name: 'Expected', value: 8700, strokeHeight: 5, strokeColor: '#775DD0' }"))),
			new Data().setX("2018").setY(6553)
				.setGoals(Arrays.asList(new General("{ name: 'Expected', value: 7300, strokeHeight: 2, strokeDashArray: 2, strokeColor: '#775DD0' }")))
				));

		chartOptions.getSeries().add(series);
		
		return apexchart;
	}
	
}