package com.webonlineapp.hyjavaapexdemo.examplecharts;

import java.util.Arrays;

import com.hyjavaapex.chart.Apexchart;
import com.hyjavaapex.model.apexcharts.ChartOptions;
import com.hyjavaapex.model.apexcharts.Series;
import com.hyjavaapex.model.apexcharts.Yaxis;
import com.hyjavaapex.model.apexcharts.constants.ChartType;
import com.hyjavaapex.model.apexcharts.constants.Curve;
import com.hyjavaapex.model.apexcharts.constants.FillType;
import com.hyjavaapex.model.apexcharts.constants.SeriesType;
import com.hyjavaapex.model.common.Function;
import com.webonlineapp.hyjavaapexdemo.charts.DemoChartBase;

public class LineArea extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Apexchart configure() {
		Apexchart apexchart = new Apexchart();
		ChartOptions chartOptions = apexchart.getChartOptions();
		
		chartOptions.getChart().setHeight("100%").setType(ChartType.LINE);
		chartOptions.getStroke().setCurve(Curve.SMOOTH);
		chartOptions.getFill().setType(FillType.SOLID).setOpacity(Arrays.asList(0.35, 1));
		
		chartOptions.setLabels(Arrays.asList(
			"Dec 01", "Dec 02","Dec 03","Dec 04","Dec 05","Dec 06","Dec 07","Dec 08","Dec 09 ","Dec 10","Dec 11"));
		chartOptions.getMarkers().setSize(0);
		
		Yaxis yaxis = new Yaxis();
		yaxis.getTitle().setText("Series A");		
		chartOptions.getYaxis().add(yaxis);
		
		yaxis = new Yaxis();
		yaxis.setOpposite(true).getTitle().setText("Series B");		
		chartOptions.getYaxis().add(yaxis);
		
		chartOptions.getTooltip().setShared(true).setIntersect(false).getY().setFormatter(
			new Function("if(typeof y !== \"undefined\") { return  y.toFixed(0) + \" points\"; } return y;", "y"));
		
		Series series = new Series();
		series.setName("TEAM A").setType(SeriesType.AREA);
		series.setDataAsArrayNumber(Arrays.asList(44, 55, 31, 47, 31, 43, 26, 41, 31, 47, 33));
		chartOptions.getSeries().add(series);
		
		series = new Series();
		series.setName("TEAM B").setType(SeriesType.LINE);
		series.setDataAsArrayNumber(Arrays.asList(55, 69, 45, 61, 43, 54, 37, 52, 44, 61, 43));
		chartOptions.getSeries().add(series);
		
		return apexchart;
	}
	
}