package com.webonlineapp.hyjavaapexdemo.examplecharts;

import java.util.Arrays;

import com.hyjavaapex.chart.Apexchart;
import com.hyjavaapex.model.apexcharts.ChartOptions;
import com.hyjavaapex.model.apexcharts.Series;
import com.hyjavaapex.model.apexcharts.constants.ChartType;
import com.hyjavaapex.model.apexcharts.constants.Curve;
import com.hyjavaapex.model.apexcharts.constants.HorizontalAlign;
import com.hyjavaapex.model.apexcharts.constants.LegendPosition;
import com.hyjavaapex.model.common.Color;
import com.webonlineapp.hyjavaapexdemo.charts.DemoChartBase;

public class LineWithDatalabels extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Apexchart configure() {
		Apexchart apexchart = new Apexchart();
		ChartOptions chartOptions = apexchart.getChartOptions();
		
		chartOptions.getChart().setHeight("100%").setType(ChartType.LINE)
			.getDropShadow().setEnabled(true).setColor(new Color("#000"))
				.setTop(18).setLeft(7).setBlur(10).setOpacity(0.2);
		chartOptions.getChart().getToolbar().setShow(false);
		
		chartOptions.setColors(Arrays.asList(new Color("#77B6EA"), new Color("#545454")));
		
		chartOptions.getDataLabels().setEnabled(true);
		chartOptions.getStroke().setCurve(Curve.STRAIGHT);
		
		chartOptions.getTitle().setText("Average High & Low Temperature").setAlign((HorizontalAlign.LEFT));
		chartOptions.getGrid().setBorderColor(new Color("#e7e7e7"))
			.getRow()
			.setColors(Arrays.asList(new Color("#f3f3f3"), new Color("transparent")))
			.setOpacity(0.5);
		
		chartOptions.getMarkers().setSize(1);
		
		chartOptions.getXaxis()
			.setCategoriesAsArrayString(Arrays.asList("Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul"))
			.getTitle().setText("Month");
		
		chartOptions.getYaxisSingle().setMin(5).setMax(40).getTitle().setText("Temperature");
		
		chartOptions.getLegend().setPosition(LegendPosition.TOP).setHorizontalAlign(HorizontalAlign.RIGHT)
			.setFloating(true).setOffsetY(-25).setOffsetX(-5);
		
		Series series = new Series();
		series.setName("High - 2013");
		series.setDataAsArrayNumber(Arrays.asList(28, 29, 33, 36, 32, 32, 33));
		chartOptions.getSeries().add(series);
		
		series = new Series();
		series.setName("Low - 2013");
		series.setDataAsArrayNumber(Arrays.asList(12, 11, 14, 18, 17, 13, 13));
		chartOptions.getSeries().add(series);
		
		return apexchart;
	}
	
}