package com.webonlineapp.hyjavaapexdemo.examplecharts;

import java.util.Arrays;

import com.hyjavaapex.chart.Apexchart;
import com.hyjavaapex.model.apexcharts.ChartOptions;
import com.hyjavaapex.model.apexcharts.constants.ChartType;
import com.hyjavaapex.model.apexcharts.constants.LegendPosition;
import com.hyjavaapex.model.apexcharts.constants.ShadeTo;
import com.webonlineapp.hyjavaapexdemo.charts.DemoChartBase;

public class MonochromePolarArea extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Apexchart configure() {
		Apexchart apexchart = new Apexchart();
		ChartOptions chartOptions = apexchart.getChartOptions();
		
		chartOptions.getChart().setHeight("100%").setType(ChartType.POLARAREA);
		chartOptions.setLabels(Arrays.asList("Rose A", "Rose B", "Rose C", "Rose D", "Rose E"));
		
		chartOptions.getStroke().setWidth(1);
		chartOptions.getFill().setOpacity(1);
		
		chartOptions.getYaxisSingle().setShow(false);
		chartOptions.getLegend().setPosition(LegendPosition.BOTTOM);
		
		chartOptions.getPlotOptions().getPolarArea().getRings().setStrokeWidth(0);
		chartOptions.getTheme().getMonochrome().setEnabled(true).setShadeTo(ShadeTo.LIGHT).setShadeIntensity(0.6);

		chartOptions.setSeriesAsArrayNumber(Arrays.asList(42, 47, 52, 58, 65));

		return apexchart;
	}
	
}

