package com.webonlineapp.hyjavaapexdemo.examplecharts;

import java.util.ArrayList;
import java.util.List;

import com.hyjavaapex.chart.Apexchart;
import com.hyjavaapex.model.apexcharts.ChartOptions;
import com.hyjavaapex.model.apexcharts.Series;
import com.hyjavaapex.model.apexcharts.constants.AxisType;
import com.hyjavaapex.model.apexcharts.constants.ChartType;
import com.hyjavaapex.model.common.Triplet;
import com.webonlineapp.hyjavaapexdemo.charts.DemoChartBase;

public class SimpleBubble extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Apexchart configure() {
		Apexchart apexchart = new Apexchart();
		ChartOptions chartOptions = apexchart.getChartOptions();
		
		chartOptions.getChart().setHeight("100%").setType(ChartType.BUBBLE);
		chartOptions.getDataLabels().setEnabled(false);
		chartOptions.getFill().setOpacity(0.8);
		chartOptions.getTitle().setText("Simple Bubble Chart");
		
		chartOptions.getXaxis().setTickAmount(12).setType(AxisType.CATEGORY);
		chartOptions.getYaxisSingle().setMax(70);

		chartOptions.getSeries().add(getData().setName("Bubble1"));
		chartOptions.getSeries().add(getData().setName("Bubble2"));
		chartOptions.getSeries().add(getData().setName("Bubble3"));
		chartOptions.getSeries().add(getData().setName("Bubble4"));

		return apexchart;
	}
	
	/**
	 * 
	 * @return
	 */
	private Series getData() {
		int bubbleMax = 20;
		int min = 10;
		int max = 60;
		
		Series series = new Series();
		List<Triplet> bubble = new ArrayList<Triplet>();
		
		for (int i = 0; i < bubbleMax; i++) {
			// x, y, bubble size
			bubble.add(new Triplet(Math.floor(Math.random() * (750 - 1 + 1)) + 1, 
								   Math.floor(Math.random() * (max - min + 1)) + min,
								   Math.floor(Math.random() * (75 - 15 + 1)) + 15));
		}
		
		series.setDataAsArrayTriplets(bubble);
		
		return series;
	}
	
}