package com.webonlineapp.hyjavaapexdemo.examplecharts;

import java.util.Arrays;

import com.hyjavaapex.chart.Apexchart;
import com.hyjavaapex.model.apexcharts.ChartOptions;
import com.hyjavaapex.model.apexcharts.Series;
import com.hyjavaapex.model.apexcharts.constants.AxisType;
import com.hyjavaapex.model.apexcharts.constants.ChartType;
import com.hyjavaapex.model.apexcharts.constants.Curve;
import com.webonlineapp.hyjavaapexdemo.charts.DemoChartBase;

public class SplineArea extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Apexchart configure() {
		Apexchart apexchart = new Apexchart();
		ChartOptions chartOptions = apexchart.getChartOptions();
		
		chartOptions.getChart().setHeight("100%").setType(ChartType.AREA);
		chartOptions.getDataLabels().setEnabled(false);
		chartOptions.getStroke().setCurve(Curve.SMOOTH);
		
		chartOptions.getXaxis()
			.setType(AxisType.DATETIME)
			.setCategoriesAsArrayString(Arrays.asList(
					"2018-09-19T00:00:00.000Z", "2018-09-19T01:30:00.000Z", "2018-09-19T02:30:00.000Z", 
					"2018-09-19T03:30:00.000Z", "2018-09-19T04:30:00.000Z", "2018-09-19T05:30:00.000Z", 
					"2018-09-19T06:30:00.000Z"));
		
		chartOptions.getTooltip().getX().setFormat("dd/MM/yy HH:mm");
		
		Series series = new Series();
		series.setName("series1");
		series.setDataAsArrayNumber(Arrays.asList(31, 40, 28, 51, 42, 109, 100));
		chartOptions.getSeries().add(series);
		
		series = new Series();
		series.setName("series2");
		series.setDataAsArrayNumber(Arrays.asList(11, 32, 45, 32, 34, 52, 41));
		chartOptions.getSeries().add(series);

		return apexchart;
	}
	
}