package com.webonlineapp.hyjavaapexdemo.examplecharts;

import java.util.ArrayList;
import java.util.List;

import com.hyjavaapex.chart.Apexchart;
import com.hyjavaapex.model.apexcharts.ChartOptions;
import com.hyjavaapex.model.apexcharts.Series;
import com.hyjavaapex.model.apexcharts.constants.AxisType;
import com.hyjavaapex.model.apexcharts.constants.ChartType;
import com.hyjavaapex.model.apexcharts.constants.FillType;
import com.hyjavaapex.model.apexcharts.constants.Palette;
import com.hyjavaapex.model.common.Triplet;
import com.webonlineapp.hyjavaapexdemo.charts.DemoChartBase;

public class ThreeDBubble extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Apexchart configure() {
		Apexchart apexchart = new Apexchart();
		ChartOptions chartOptions = apexchart.getChartOptions();
		
		chartOptions.getChart().setHeight("100%").setType(ChartType.BUBBLE);
		chartOptions.getDataLabels().setEnabled(false);
		chartOptions.getFill().setType(FillType.GRADIENT);
		chartOptions.getTitle().setText("3D Bubble Chart");
		
		chartOptions.getXaxis().setTickAmount(12).setType(AxisType.DATETIME).getLabels().setRotate(0);
		chartOptions.getYaxisSingle().setMax(70);
		chartOptions.getTheme().setPalette(Palette.PALETTE2);

		chartOptions.getSeries().add(getData().setName("Product1"));
		chartOptions.getSeries().add(getData().setName("Product2"));
		chartOptions.getSeries().add(getData().setName("Product3"));
		chartOptions.getSeries().add(getData().setName("Product4"));

		return apexchart;
	}
	
	/**
	 * 
	 * @return
	 */
	private Series getData() {
		int bubbleMax = 20;
		int min = 10;
		int max = 60;
		long baseValue = 1486771200000L;
		
		Series series = new Series();
		List<Triplet> bubble = new ArrayList<Triplet>();
		
		for (int i = 0; i < bubbleMax; i++) {
			// x: date between 11 - 28 feb 2017, y, bubble size
			bubble.add(new Triplet(Math.floor(Math.random() * (750 - 1 + 1)) + 1 + baseValue, 
								   Math.floor(Math.random() * (max - min + 1)) + min,
								   Math.floor(Math.random() * (75 - 15 + 1)) + 15));
			baseValue += 86400000;
		}
		
		series.setDataAsArrayTriplets(bubble);
		
		return series;
	}
	
}