package com.webonlineapp.evaldemo;

import java.time.LocalDateTime;

import com.hyjavaapex.LibraryInfo;
import com.hyjavaapex.chart.Apexchart;

/*
 * A simple example application to show how to configure chart options using the HyJavaApex library.
 *   - configure chart options using HyJavaApex setter methods
 *   - generate the required JavaScript chart code for the configured chart options.
 * 
 * Note: The evaluation library only supports a limited set of ApexCharts chart types and chart options.
 *       The full version of the HyJavaCharts library supports all ApexCharts chart types and chart options.
 *  
 */
public class Main {
	public static void main( String[] args ) {
        
		System.out.println(LibraryInfo.getLibraryName() + " v" + LibraryInfo.getHyJavaApexAPIVersion() + " (" + LibraryInfo.getLibraryType() + ")");
		System.out.println("");
		
		System.out.println("start " + LocalDateTime.now());
		
		System.out.println("Generated ApexChartsBasicColumn Chart Options...");
		Apexchart apexchart = new ApexChartsBasicColumn().configure();
        System.out.println(apexchart.chartOptionsToJs());
        
        System.out.println("end " + LocalDateTime.now());
     
    }

}
