package com.webonlineapp.hyjavachartsdemo10.charts;

import java.io.Serializable;

public class DemoChart implements Serializable {
	private static final long serialVersionUID = -1;
	
	private String name;
	private DemoChartBase chart;
	private boolean heading = false;
	private ChartDisplay chartDisplay = ChartDisplay.ANY;
	
	
	/**
	 * 
	 * @param name
	 */
	public DemoChart(String name) {
		this.name = name;
		heading = true;
	}
	
	/**
	 * 
	 * @param name
	 * @param chart
	 */
	public DemoChart(String name, DemoChartBase chart) {
		this.name = name;
		this.chart = chart;
	}
	
	/**
	 * 
	 * @param name
	 * @param chart
	 * @param displayChart
	 */
	public DemoChart(String name, DemoChartBase chart, ChartDisplay chartDisplay) {
		this.name = name;
		this.chart = chart;
		this.chartDisplay = chartDisplay;
	}
	
	/**
	 * 
	 * @param hyJavaImages
	 * @return
	 */
	public boolean displayChart(boolean hyJavaImages) {
		if (chartDisplay == ChartDisplay.ANY) {
			return true;
		}
		
		if (hyJavaImages) {
			if (chartDisplay == ChartDisplay.IMAGE_JS) {
				return true;
			}
		}
		else {
			if (chartDisplay == ChartDisplay.STANDARD_JS) {
				return true;
			}
		}
		
		return false;
	}
	
	
	public String getName() {
		return name;
	}
	
	public DemoChartBase getChart() {
		return chart;
	}
	
	public void setChart(DemoChartBase chart) {
		this.chart = chart;
	}

	public boolean isHeading() {
		return heading;
	}

}
