package com.webonlineapp.hyjavachartsdemo10.charts;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import com.webonlineapp.hyjavachartsdemo10.examplecharts.*;

public class DemoCharts {

	private static final List<DemoChart> demoChartsList = new ArrayList<DemoChart>(Arrays.asList(
		// Line Charts
		new DemoChart("Line Charts"),
    	new DemoChart("Basic Line", new BasicLine()),
    	new DemoChart("CPU Utilization", new CPUUtilization()),
    	new DemoChart("Line Graph", new LineGraph()),
    	new DemoChart("Line Points", new LinePoints()),
    	new DemoChart("Line With Zones", new LineWithZones()),
    	new DemoChart("Logarithmic Axis", new LogarithmicAxis()),
    	new DemoChart("Spline With Inverted Axis", new SplineWithInvertedAxis()),
    	new DemoChart("Spline With PlotBands", new SplineWithPlotBands()),
    	new DemoChart("Spline With Symbols", new SplineWithSymbols()),
    	new DemoChart("Time Data Irregular Intervals", new TimeDataWithIrregularIntervals()),
    	new DemoChart("Time Series Zoomable", new TimeSeriesZoomable()),
    	new DemoChart("With Annotations", new WithAnnotations()),
    	new DemoChart("With Data Labels", new WithDataLabels()),
    	
    	// Area Charts
    	new DemoChart("Area Charts"),
    	new DemoChart("Basic Area", new BasicArea()),
    	new DemoChart("Area Range", new AreaRange()),
    	new DemoChart("Area Range And Line", new AreaRangeAndLine()),
    	new DemoChart("Area With Missing Points", new AreaWithMissingPoints()),
    	new DemoChart("Area With Negative Values", new AreaWithNegativeValues()),
    	new DemoChart("Area Spline", new AreaSpline()),
    	new DemoChart("Inverted Axis", new InvertedAxis()),
    	new DemoChart("Percentage Area", new PercentageArea()),
    	new DemoChart("Stacked Area", new StackedArea()),
    	
    	// Column and Bar Charts
    	new DemoChart("Column and Bar Charts"),
    	new DemoChart("Basic Bar", new BasicBar()),
    	new DemoChart("Basic Column", new BasicColumn()),
    	new DemoChart("Bar Comparison", new BarComparison()),
    	new DemoChart("Bar With Negative Stack", new BarWithNegativeStack()),
    	new DemoChart("Breadcrumbs Single Button", new BreadcrumbsSingleButton()),
    	new DemoChart("Column Comparison", new ColumnComparison()),
    	new DemoChart("Column Range", new ColumnRange()),
    	new DemoChart("Column With Caption", new ColumnWithCaption()),
    	new DemoChart("Column With Drilldown", new ColumnWithDrilldown()),
    	new DemoChart("Column With Negative Values", new ColumnWithNegativeValues()),
    	new DemoChart("Column With Rotated Labels", new ColumnWithRotatedLabels()),
    	new DemoChart("Fixed Placement Columns", new FixedPlacementColumns()),
    	new DemoChart("Stacked And Grouped Column", new StackedAndGroupedColumn()),
    	new DemoChart("Stacked Bar", new StackedBar()),
    	new DemoChart("Stacked Column", new StackedColumn()),
    	new DemoChart("Stacked Percentage Column", new StackedPercentageColumn()),
    	
    	// Pie Charts
    	new DemoChart("Pie Charts"),
    	new DemoChart("Air Composition Donut", new AirCompositionDonut()),
    	new DemoChart("Pie Chart", new PieChart()),
    	new DemoChart("Donut Chart", new DonutChart()),
    	new DemoChart("Donut Chart Race", new DonutChartRace()),
    	new DemoChart("Pie With Drilldown", new PieWithDrilldown()),
    	new DemoChart("Pie With Gradient Fill", new PieWithGradientFill()),
    	new DemoChart("Pie With Legend", new PieWithLegend()),
    	new DemoChart("Pie With Monochrome Fill", new PieWithMonochromeFill()),
    	new DemoChart("Semi Circle Donut", new SemiCircleDonut()),
    	new DemoChart("Variable Radius Pie", new VariableRadiusPie()),
    	
    	// Scatter and Bubble Charts
    	new DemoChart("Scatter and Bubble Charts"),
    	new DemoChart("Bubble Chart", new BubbleChart()),
    	new DemoChart("Bubble With Color Axis", new BubbleWithColorAxis()),
    	new DemoChart("Scatter Plot", new ScatterPlot()),
    	new DemoChart("Scatter Plot With Jitter", new ScatterPlotWithJitter()),
    	new DemoChart("3D Bubbles", new ThreeDBubbles()),
    	new DemoChart("Packed Bubble Chart", new PackedBubbleChart(), ChartDisplay.STANDARD_JS),
    	new DemoChart("Packed Bubble Chart", new PackedBubbleChartES(), ChartDisplay.IMAGE_JS),
    	new DemoChart("Packed Bubble With Color Axis", new PackedBubbleWithColorAxis(), ChartDisplay.STANDARD_JS),
    	new DemoChart("Packed Bubble With Color Axis", new PackedBubbleWithColorAxisES(), ChartDisplay.IMAGE_JS),
    	new DemoChart("Split Packed Bubble Chart", new SplitPackedBubbleChart(), ChartDisplay.STANDARD_JS),
    	new DemoChart("Split Packed Bubble Chart", new SplitPackedBubbleChartES(), ChartDisplay.IMAGE_JS),

    	// Combinations
    	new DemoChart("Combinations"),
    	new DemoChart("Column Line And Pie", new ColumnLineAndPie()),
    	new DemoChart("Dual Axis Line And Column", new DualAxisLineAndColumn()),
    	new DemoChart("Multiple Axis", new MultipleAxis()),
    	new DemoChart("Scatter With Regression Line", new ScatterWithRegressionLine()),
    	
    	// Accessible charts
    	new DemoChart("Accessible charts"),
    	new DemoChart("Accessible Line", new AccessibleLine()),
    	new DemoChart("Accessible Pie", new AccessiblePie()),
    	new DemoChart("Pattern Fill Pie", new PatternFillPieChart()),
    	new DemoChart("Pattern Fill Area", new PatternFillAreaChart()),
     	
    	// Dynamic Charts
    	new DemoChart("Dynamic Charts"),
    	new DemoChart("Click To Add A Point", new ClickToAddAPoint()),
    	new DemoChart("Dynamic Spline Updating", new DynamicSplineUpdating()),
    	new DemoChart("Live Data", new LiveData()),
    	new DemoChart("Server Monitoring", new ServerMonitoring()),
    	
    	// 3D Charts
    	new DemoChart("3D Charts"),
    	new DemoChart("3D Area Chart", new ThreeDArea()),
    	new DemoChart("3D Column", new ThreeDColumn()),
    	new DemoChart("3D Column With Null And Zeros", new ThreeDColumnWithNullAndZeros()),
    	new DemoChart("3D Column With Stacking", new ThreeDColumnWithStacking()),
    	new DemoChart("3D Cylinder", new ThreeDCylinderChart()),
    	new DemoChart("3D Donut", new ThreeDDonut()),
    	new DemoChart("3D Funnel", new ThreeDFunnelChart()),
    	new DemoChart("3D Pie", new ThreeDPie()),
    	new DemoChart("3D Pyramid", new ThreeDPyramidChart()),
    	new DemoChart("3D Scatter Chart", new ThreeDScatterChart()),
    	
    	// Gauges
    	new DemoChart("Gauges"),
    	new DemoChart("Bullet Graph", new BulletGraph()),
    	new DemoChart("Gauge Dial Options", new GaugeDialOptions()),
    	new DemoChart("Gauge Series", new GaugeSeries()),
    	new DemoChart("Gauge Series Dial", new GaugeSeriesDial()),
    	new DemoChart("Gauge With Dual Axis", new GaugeWithDualAxis()),
    	new DemoChart("Gauge", new Gauge()),
    	new DemoChart("Solid Gauge", new SolidGauge()),
    	new DemoChart("VU Meter", new VUMeter()),
    	
    	// Heat and Tree Maps
    	new DemoChart("Heat and Tree Maps"),
    	new DemoChart("Heat Map", new HeatMap()),
    	new DemoChart("Large Heat Map", new LargeHeatMap()),
    	new DemoChart("Tile Map Honeycomb", new TileMapHoneycomb()),
    	new DemoChart("Tree Map With Color Axis", new TreeMapWithColorAxis()),
    	new DemoChart("Tree Map With Levels", new TreeMapWithLevels()),

    	// More Chart Types
    	new DemoChart("More Chart Types"),
    	new DemoChart("Arc Diagram", new ArcDiagram()),
    	new DemoChart("Bell Curve", new BellCurve()),
    	new DemoChart("Box Plot", new BoxPlot()),
    	new DemoChart("Column Pyramid", new ColumnPyramid()),
    	new DemoChart("Dependency Wheel", new DependencyWheel()),
    	new DemoChart("Dumbbell Series", new DumbbellSeries()),
    	new DemoChart("Error Bar", new ErrorBar()),
    	new DemoChart("Euler Diagram", new EulerDiagram()),
    	new DemoChart("Funnel Chart", new FunnelChart()),
    	new DemoChart("Histogram", new Histogram()),
    	new DemoChart("Lollipop Series", new LollipopSeries()),
    	new DemoChart("Network Graph", new NetworkGraph(), ChartDisplay.STANDARD_JS),
    	new DemoChart("Network Graph", new NetworkGraphES(), ChartDisplay.IMAGE_JS),
    	new DemoChart("Network Graph Flights", new NetworkGraphFlights(), ChartDisplay.STANDARD_JS),
    	new DemoChart("Network Graph Flights", new NetworkGraphFlightsES(), ChartDisplay.IMAGE_JS),
    	new DemoChart("Organization Chart", new OrganizationChart()),
    	new DemoChart("Parallel Coordinates", new ParallelCoordinates()),
    	new DemoChart("Pareto Chart", new ParetoChart()),
    	new DemoChart("Parliament Chart", new ParliamentChart()),
    	new DemoChart("Polar Chart", new PolarChart()),
    	new DemoChart("Polygon Series", new PolygonSeries()),
    	new DemoChart("Pyramid Chart", new PyramidChart()),
    	new DemoChart("Radial Bar", new RadialBar()),
    	new DemoChart("Real time Sorting", new RealtimeSorting()),	
    	new DemoChart("Sankey Diagram", new SankeyDiagram()),
    	new DemoChart("Spider Web", new SpiderWeb()),
    	new DemoChart("Sunburst", new Sunburst()),
    	new DemoChart("Timeline", new Timeline()),
    	new DemoChart("Variwide", new VariWide()),
    	new DemoChart("Vector Plot", new VectorPlot()),
    	new DemoChart("Venn Diagram", new VennDiagram()),
    	new DemoChart("Waterfall", new Waterfall()),
    	new DemoChart("Wind Barb", new WindBarb()),
    	new DemoChart("Wind Rose", new WindRose()),
    	new DemoChart("Word Cloud", new WordCloud()),
    	new DemoChart("XRange Series", new XRangeSeries()),
    	
    	// Addons - Regression
    	new DemoChart("Addons - Regression"),
    	new DemoChart("Basic Regression", new BasicRegression())
		));

	/**
	 * 
	 * @return
	 */
	public static final List<DemoChart> getDemoChartsList() {
		return demoChartsList;
	}

}
