package com.webonlineapp.hyjavachartsdemo10.examplecharts;

import java.util.Arrays;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.common.Color;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.constants.HorizontalAlign;
import com.hyjavacharts.model.highcharts.constants.SeriesType;
import com.hyjavacharts.model.highcharts.series.SeriesArcdiagram;
import com.webonlineapp.hyjavachartsdemo10.charts.DemoChartBase;

public class ArcDiagram extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();

		chartOptions.setColors(Arrays.asList(new Color("#293462"), new Color("#a64942"), new Color("#fe5f55"), new Color("#fff1c1"), new Color("#5bd1d7"), new Color("#ff502f"), new Color("#004d61"), new Color("#ff8a5c"), new Color("#fff591"), new Color("#f5587b"), new Color("#fad3cf"), new Color("#a696c8"), new Color("#5BE7C4"), new Color("#266A2E"), new Color("#593E1A")));
		chartOptions.getTitle().setText("Main train connections in Europe");
		
		SeriesArcdiagram seriesArcdiagram = new SeriesArcdiagram();
		seriesArcdiagram.setKeys(Arrays.asList("from", "to", "weight"))
			.setType(SeriesType.ARCDIAGRAM)
			.setName("Train connections")
			.setLinkWeight(1)
			.setCenteredLinks(true)
			.setOffset("65%")
			.getDataLabels().setRotation(90).setY(30).setAlign(HorizontalAlign.LEFT).setColor(new Color("black"));

		seriesArcdiagram.getDataAsJsValue().setJsValue("[\r\n"
				+ "            ['Hamburg', 'Stuttgart', 1],\r\n"
				+ "            ['Hamburg', 'Frankfurt', 1],\r\n"
				+ "            ['Hamburg', 'München', 1],\r\n"
				+ "            ['Hannover', 'Wien', 1],\r\n"
				+ "            ['Hannover', 'München', 1],\r\n"
				+ "            ['Berlin', 'Wien', 1],\r\n"
				+ "            ['Berlin', 'München', 1],\r\n"
				+ "            ['Berlin', 'Stuttgart', 1],\r\n"
				+ "            ['Berlin', 'Frankfurt', 1],\r\n"
				+ "            ['Berlin', 'Köln', 1],\r\n"
				+ "            ['Berlin', 'Düsseldorf', 1],\r\n"
				+ "            ['München', 'Düsseldorf', 1],\r\n"
				+ "            ['München', 'Wien', 1],\r\n"
				+ "            ['München', 'Frankfurt', 1],\r\n"
				+ "            ['München', 'Köln', 1],\r\n"
				+ "            ['München', 'Amsterdam', 1],\r\n"
				+ "            ['Stuttgart', 'Wien', 1],\r\n"
				+ "            ['Frankfurt', 'Wien', 1],\r\n"
				+ "            ['Frankfurt', 'Amsterdam', 1],\r\n"
				+ "            ['Frankfurt', 'Paris', 1],\r\n"
				+ "            ['Frankfurt', 'Budapest', 1],\r\n"
				+ "            ['Düsseldorf', 'Wien', 1],\r\n"
				+ "            ['Düsseldorf', 'Hamburg', 1],\r\n"
				+ "            ['Amsterdam', 'Paris', 1],\r\n"
				+ "            ['Paris', 'Brest', 1],\r\n"
				+ "            ['Paris', 'Nantes', 1],\r\n"
				+ "            ['Paris', 'Bayonne', 1],\r\n"
				+ "            ['Paris', 'Bordeaux', 1],\r\n"
				+ "            ['Paris', 'Toulouse', 1],\r\n"
				+ "            ['Paris', 'Montpellier', 1],\r\n"
				+ "            ['Paris', 'Marseille', 1],\r\n"
				+ "            ['Paris', 'Nice', 1],\r\n"
				+ "            ['Paris', 'Milano', 1],\r\n"
				+ "            ['Nantes', 'Nice', 1],\r\n"
				+ "            ['Bordeaux', 'Lyon', 1],\r\n"
				+ "            ['Nantes', 'Lyon', 1],\r\n"
				+ "            ['Milano', 'München', 1],\r\n"
				+ "            ['Milano', 'Roma', 1],\r\n"
				+ "            ['Milano', 'Bari', 1],\r\n"
				+ "            ['Milano', 'Napoli', 1],\r\n"
				+ "            ['Milano', 'Brindisi', 1],\r\n"
				+ "            ['Milano', 'Lamezia Terme', 1],\r\n"
				+ "            ['Torino', 'Roma', 1],\r\n"
				+ "            ['Venezia', 'Napoli', 1],\r\n"
				+ "            ['Roma', 'Bari', 1],\r\n"
				+ "            ['Roma', 'Catania', 1],\r\n"
				+ "            ['Roma', 'Brindisi', 1],\r\n"
				+ "            ['Catania', 'Milano', 1]\r\n"
				+ "        ]");
		
		chartOptions.getSeries().add(seriesArcdiagram);

		return highChart;
	}
	
}
