package com.webonlineapp.hyjavachartsdemo10.examplecharts;

import java.util.Arrays;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.YAxis;
import com.hyjavacharts.model.highcharts.constants.HorizontalAlign;
import com.hyjavacharts.model.highcharts.constants.Layout;
import com.hyjavacharts.model.highcharts.constants.VerticalAlign;
import com.hyjavacharts.model.highcharts.series.SeriesLine;
import com.webonlineapp.hyjavachartsdemo10.charts.DemoChartBase;

public class BasicLine extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
	    
		chartOptions.getTitle().setText("Solar Employment Growth by Sector, 2010-2016");
		chartOptions.getSubtitle().setText("Source: thesolarfoundation.com");
	
		YAxis yAxi = new YAxis();
		yAxi.getTitle().setText("Number of Employees");
		chartOptions.getYAxis().add(yAxi);
	
		chartOptions.getLegend().setLayout(Layout.VERTICAL).setAlign(HorizontalAlign.RIGHT).setVerticalAlign(VerticalAlign.MIDDLE);
		chartOptions.getPlotOptions()
			.getSeries()
				.setPointStart(2010)
				.getLabel().setConnectorAllowed(false);
		
		chartOptions.getResponsive().getRulesSingle()
			.getCondition().setMaxWidth(500);
		chartOptions.getResponsive().getRulesSingle()
			.getChartOptions().getLegend()
				.setLayout(Layout.HORIZONTAL).setAlign(HorizontalAlign.CENTER).setVerticalAlign(VerticalAlign.BOTTOM);
		
		SeriesLine seriesLine = new SeriesLine();
		seriesLine.setName("Installation");
		seriesLine.setDataAsArrayNumber(Arrays.asList(43934, 48656, 65165, 81827, 112143, 142383,
	            										171533, 165174, 155157, 161454, 154610));
		chartOptions.getSeries().add(seriesLine);
		
		seriesLine = new SeriesLine();
		seriesLine.setName("Manufacturing");
		seriesLine.setDataAsArrayNumber(Arrays.asList(24916, 37941, 29742, 29851, 32490, 30282,
	            										38121, 36885, 33726, 34243, 31050));
		chartOptions.getSeries().add(seriesLine);
		
		seriesLine = new SeriesLine();
		seriesLine.setName("Sales & Distribution");
		seriesLine.setDataAsArrayNumber(Arrays.asList(11744, 30000, 16005, 19771, 20185, 24377,
	            										32147, 30912, 29243, 29213, 25663));
		chartOptions.getSeries().add(seriesLine);
		
		seriesLine = new SeriesLine();
		seriesLine.setName("Operations & Maintenance");
		seriesLine.setDataAsArrayNumber(Arrays.asList(null, null, null, null, null, null, null,
	            										null, 11164, 11218, 10077));
		chartOptions.getSeries().add(seriesLine);
		
		seriesLine = new SeriesLine();
		seriesLine.setName("Other");
		seriesLine.setDataAsArrayNumber(Arrays.asList(21908, 5548, 8105, 11248, 8989, 11816, 18274,
	            										17300, 13053, 11906, 10073));
		chartOptions.getSeries().add(seriesLine);
		
		return highChart;
	}
	
}
