package com.webonlineapp.hyjavachartsdemo10.examplecharts;

import java.util.Arrays;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.common.Color;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.constants.HorizontalAlign;
import com.hyjavacharts.model.highcharts.constants.Stacking;
import com.hyjavacharts.model.highcharts.series.SeriesColumn;
import com.webonlineapp.hyjavachartsdemo10.charts.DemoChartBase;

public class RadialBar extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		chartOptions.getChart().setType(ChartType.COLUMN).setInverted(true).setPolar(true);
		chartOptions.getTitle().setText("Winter Olympic medals per existing country (TOP 5)");

		chartOptions.setColors(Arrays.asList(new Color("#FFD700"), new Color("#C0C0C0"), new Color("#CD7F32")));
		
		chartOptions.getTooltip().setOutside(true);
		chartOptions.getPaneSingle().setSize("85%").setInnerSize("20%").setEndAngle(270);
		
		chartOptions.getXAxisSingle()
			.setTickInterval(1)
			.setLineWidth(0)
			.setCategories(Arrays.asList(
				"Norway <span><img src=https://www.hyjavacharts.com/content/images/flag-no.png style=\"width: 15px; height: 12px;\"></span>",
				"United States <span><img src=https://www.hyjavacharts.com/content/images/flag-us.png style=\"width: 15px; height: 12px;\"></span>",
				"Germany <span><img src=https://www.hyjavacharts.com/content/images/flag-de.png style=\"width: 15px; height: 12px;\"></span>",
				"Canada <span><img src=https://www.hyjavacharts.com/content/images/flag-ca.png style=\"width: 15px; height: 12px;\"></span>",
				"Austria <span><img src=https://www.hyjavacharts.com/content/images/flag-at.png style=\"width: 15px; height: 12px;\"></span>"))
			.getLabels()
				.setAlign(HorizontalAlign.RIGHT).setUseHTML(true).setAllowOverlap(true)
				.setStep(1).setY(3).getStyle().setFontSize("13px");

		chartOptions.getYAxisSingle()
			.setLineWidth(0)
			.setTickInterval(25)
			.setReversedStacks(false)
			.setEndOnTick(true)
			.setShowLastLabel(true)
			.getCrosshairAsObject().setColor(new Color("#333"));

		chartOptions.getPlotOptions().getColumn()
			.setStacking(Stacking.NORMAL)
			.setBorderWidth(0)
			.setPointPadding(0)
			.setGroupPadding(0.15);
		
		SeriesColumn seriesColumn = new SeriesColumn();
		seriesColumn.setName("Gold medals");
		seriesColumn.setDataAsArrayNumber(Arrays.asList(132, 105, 92, 73, 64));
		chartOptions.getSeries().add(seriesColumn);
		
		seriesColumn = new SeriesColumn();
		seriesColumn.setName("Silver medals");
		seriesColumn.setDataAsArrayNumber(Arrays.asList(125, 110, 86, 64, 81));
		chartOptions.getSeries().add(seriesColumn);
		
		seriesColumn = new SeriesColumn();
		seriesColumn.setName("Bronze medals");
		seriesColumn.setDataAsArrayNumber(Arrays.asList(111, 90, 60, 62, 87));
		chartOptions.getSeries().add(seriesColumn);
				
		return highChart;
	}
	
}
