package com.webonlineapp.hyjavachartsdemo10.examplecharts;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.common.Color;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.series.SeriesPackedbubble;
import com.webonlineapp.hyjavachartsdemo10.chartdata.PackedBubbleChartData;
import com.webonlineapp.hyjavachartsdemo10.charts.DemoChartBase;

public class SplitPackedBubbleChart extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		chartOptions.getChart().setType(ChartType.PACKEDBUBBLE);
		chartOptions.getTitle().setText("Carbon emissions around the world (2014)");

		chartOptions.getTooltip().setUseHTML(true).setPointFormat("<b>{point.name}:</b> {point.y}m CO<sub>2</sub>");

		chartOptions.getPlotOptions().getPackedbubble()
			.setMinSize("20%")
			.setMaxSize("100%")
			.setZMin(0)
			.setZMax(1000)
			.getLayoutAlgorithm()
				.setSplitSeries(true)
				.setGravitationalConstant(0.05)
				.setSeriesInteraction(false)
				.setDragBetweenSeries(false)
				.setParentNodeLimit(true);
		
		chartOptions.getPlotOptions().getPackedbubble().getDataLabels()
			.setEnabled(true).setFormat("{point.name}").getFilter().setProperty("y").setOperator(">").setValue(250);
		chartOptions.getPlotOptions().getPackedbubble().getDataLabels()
			.getStyle().setColor(new Color("black")).setTextOutline("none").setFontWeight("normal");
		
		PackedBubbleChartData seriesData = new PackedBubbleChartData();

		SeriesPackedbubble seriesPackedbubble = new SeriesPackedbubble();
		seriesPackedbubble.setName("Europe");
		seriesPackedbubble.setDataAsArrayObject(seriesData.getSeriesData(1));
		chartOptions.getSeries().add(seriesPackedbubble);
		
		seriesPackedbubble = new SeriesPackedbubble();
		seriesPackedbubble.setName("Africa");
		seriesPackedbubble.setDataAsArrayObject(seriesData.getSeriesData(2));
		chartOptions.getSeries().add(seriesPackedbubble);
		
		seriesPackedbubble = new SeriesPackedbubble();
		seriesPackedbubble.setName("Oceania");
		seriesPackedbubble.setDataAsArrayObject(seriesData.getSeriesData(3));
		chartOptions.getSeries().add(seriesPackedbubble);
		
		seriesPackedbubble = new SeriesPackedbubble();
		seriesPackedbubble.setName("NorthAmerica");
		seriesPackedbubble.setDataAsArrayObject(seriesData.getSeriesData(4));
		chartOptions.getSeries().add(seriesPackedbubble);
		
		seriesPackedbubble = new SeriesPackedbubble();
		seriesPackedbubble.setName("SouthAmerica");
		seriesPackedbubble.setDataAsArrayObject(seriesData.getSeriesData(5));
		chartOptions.getSeries().add(seriesPackedbubble);
		
		seriesPackedbubble = new SeriesPackedbubble();
		seriesPackedbubble.setName("Asia");
		seriesPackedbubble.setDataAsArrayObject(seriesData.getSeriesData(6));
		chartOptions.getSeries().add(seriesPackedbubble);
		
		return highChart;
	}

}
