package com.webonlineapp.hyjavachartsdemo10.examplecharts;

import java.util.Arrays;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.XAxis;
import com.hyjavacharts.model.highcharts.YAxis;
import com.hyjavacharts.model.highcharts.constants.SeriesType;
import com.hyjavacharts.model.highcharts.series.SeriesBellcurve;
import com.hyjavacharts.model.highcharts.series.SeriesScatter;
import com.webonlineapp.hyjavachartsdemo10.charts.DemoChartBase;

public class BellCurve extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		chartOptions.getTitle().setText("Bell curve");

		XAxis xAxis = new XAxis();
		xAxis.getTitle().setText("Data");
		chartOptions.getXAxis().add(xAxis);
		xAxis = new XAxis();
		xAxis.setOpposite(true).getTitle().setText("Bell curve");
		chartOptions.getXAxis().add(xAxis);
		
		YAxis yAxis = new YAxis();
		yAxis.getTitle().setText("Data");
		chartOptions.getYAxis().add(yAxis);
		yAxis = new YAxis();
		yAxis.setOpposite(true).getTitle().setText("Bell curve");
		chartOptions.getYAxis().add(yAxis);
		
		SeriesBellcurve seriesBellcurve = new SeriesBellcurve();
		seriesBellcurve.getLabel().setEnabled(false);
		seriesBellcurve.setType(SeriesType.BELLCURVE)
			.setName("Bell curve")
			.setXAxis(1)
			.setYAxis(1)
			.setBaseSeries(1)
			.setZIndex(-1);
		chartOptions.getSeries().add(seriesBellcurve);
		
		SeriesScatter seriesScatter = new SeriesScatter();
		seriesScatter.setType(SeriesType.SCATTER)
			.setName("Data")
			.getMarker().setRadius(1.5);
		seriesScatter.setDataAsArrayNumber(Arrays.asList(3.5, 3, 3.2, 3.1, 3.6, 3.9, 3.4, 3.4, 2.9, 3.1, 3.7, 3.4, 3, 3, 4,
	            4.4, 3.9, 3.5, 3.8, 3.8, 3.4, 3.7, 3.6, 3.3, 3.4, 3, 3.4, 3.5, 3.4, 3.2,
	            3.1, 3.4, 4.1, 4.2, 3.1, 3.2, 3.5, 3.6, 3, 3.4, 3.5, 2.3, 3.2, 3.5, 3.8, 3,
	            3.8, 3.2, 3.7, 3.3, 3.2, 3.2, 3.1, 2.3, 2.8, 2.8, 3.3, 2.4, 2.9, 2.7, 2, 3,
	            2.2, 2.9, 2.9, 3.1, 3, 2.7, 2.2, 2.5, 3.2, 2.8, 2.5, 2.8, 2.9, 3, 2.8, 3,
	            2.9, 2.6, 2.4, 2.4, 2.7, 2.7, 3, 3.4, 3.1, 2.3, 3, 2.5, 2.6, 3, 2.6, 2.3,
	            2.7, 3, 2.9, 2.9, 2.5, 2.8, 3.3, 2.7, 3, 2.9, 3, 3, 2.5, 2.9, 2.5, 3.6,
	            3.2, 2.7, 3, 2.5, 2.8, 3.2, 3, 3.8, 2.6, 2.2, 3.2, 2.8, 2.8, 2.7, 3.3, 3.2,
	            2.8, 3, 2.8, 3, 2.8, 3.8, 2.8, 2.8, 2.6, 3, 3.4, 3.1, 3, 3.1, 3.1, 3.1, 2.7,
	            3.2, 3.3, 3, 2.5, 3, 3.4, 3));
		chartOptions.getSeries().add(seriesScatter);
		
		return highChart;
	}
	
}
