package com.webonlineapp.hyjavachartsdemo10.examplecharts;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.XAxis;
import com.hyjavacharts.model.highcharts.YAxis;
import com.hyjavacharts.model.highcharts.constants.AxisType;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.series.SeriesDumbbell;
import com.hyjavacharts.model.highcharts.series.seriesdumbbell.Data;
import com.webonlineapp.hyjavachartsdemo10.charts.DemoChartBase;

public class DumbbellSeries extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		chartOptions.getChart().setType(ChartType.DUMBBELL).setInverted(true);
		chartOptions.getTitle().setText("Change in Life Expectancy");
		chartOptions.getSubtitle().setText("1960 vs 2018");
		
		chartOptions.getLegend().setEnabled(false);
		chartOptions.getTooltip().setShared(true);

		XAxis xAxis = new XAxis();
		xAxis.setType(AxisType.CATEGORY);
		chartOptions.getXAxis().add(xAxis);

		YAxis yAxis = new YAxis();
		yAxis.getTitle().setText("Life Expectancy (years)");
		chartOptions.getYAxis().add(yAxis);

		SeriesDumbbell seriesDumbbell = new SeriesDumbbell();
		seriesDumbbell.setName("Life expectancy change");
		seriesDumbbell.setDataAsArrayObject(getSeriesData());
		chartOptions.getSeries().add(seriesDumbbell);
		
		return highChart;
	}
	
	/**
	 * 
	 * @return
	 */
	private List<Data> getSeriesData() {
		return new ArrayList<Data>(Arrays.asList(
				new Data().setName("Belgium").setLow(70).setHigh(81), 
				new Data().setName("Bulgaria").setLow(69).setHigh(75), 
				new Data().setName("Croatia").setLow(65).setHigh(78), 
				new Data().setName("Cyprus").setLow(70).setHigh(81), 
				new Data().setName("Czech Republic").setLow(70).setHigh(79), 
				new Data().setName("Denmark").setLow(72).setHigh(81), 
				new Data().setName("Estonia").setLow(68).setHigh(78), 
				new Data().setName("Finland").setLow(69).setHigh(81), 
				new Data().setName("France").setLow(70).setHigh(83), 
				new Data().setName("Greece").setLow(68).setHigh(81), 
				new Data().setName("Spain").setLow(69).setHigh(83), 
				new Data().setName("Netherlands").setLow(73).setHigh(82), 
				new Data().setName("Ireland").setLow(70).setHigh(82), 
				new Data().setName("Lithuania").setLow(70).setHigh(75), 
				new Data().setName("Luxembourg").setLow(68).setHigh(83), 
				new Data().setName("Latvia").setLow(70).setHigh(75), 
				new Data().setName("Malta").setLow(69).setHigh(82), 
				new Data().setName("Germany").setLow(69).setHigh(81), 
				new Data().setName("Poland").setLow(68).setHigh(78), 
				new Data().setName("Portugal").setLow(63).setHigh(81), 
				new Data().setName("Romania").setLow(66).setHigh(75), 
				new Data().setName("Slovakia").setLow(70).setHigh(77), 
				new Data().setName("Slovenia").setLow(69).setHigh(81), 
				new Data().setName("Sweden").setLow(73).setHigh(82), 
				new Data().setName("Hungary").setLow(68).setHigh(76), 
				new Data().setName("Italy").setLow(69).setHigh(83), 
				new Data().setName("UK").setLow(71).setHigh(81)
				));
    }
	
}
