package com.webonlineapp.hyjavachartsdemo10.examplecharts;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.common.SVGPathArray;
import com.hyjavacharts.model.common.SVGPathCommand;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.YAxis;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.series.SeriesGauge;
import com.webonlineapp.hyjavachartsdemo10.charts.DemoChartBase;
import com.webonlineapp.hyjavachartsdemo10.services.RestService;

public class Gauge extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
	    
		chartOptions.getChart()
			.setType(ChartType.GAUGE);
		
		chartOptions.getTitle().setText("Gauge");
		
		chartOptions.getPaneSingle()
			.setStartAngle(-120)
			.setEndAngle(120);
		
		YAxis yAxis = new YAxis();
		yAxis.setMin(0).setMax(100);
		chartOptions.getYAxis().add(yAxis);
		
		SeriesGauge sg = new SeriesGauge();
		sg.getPivot().setRadius(0);
		sg.getDial().setPath(new SVGPathArray(new SVGPathCommand("M", 0, -10), 
											  new SVGPathCommand("l", 100, 0),
											  new SVGPathCommand("l", 0, -10),
											  new SVGPathCommand("l", 20, 20),
											  new SVGPathCommand("l", -20, 20),
											  new SVGPathCommand("l", 0, -10),
											  new SVGPathCommand("l", -100, 0)
											  ));
		chartOptions.getSeries().add(sg);
		
		// Some of our example charts use a REST service to retrieve data.
		chartOptions.getData().setCsvURL(RestService.getURI() + "/GaugeCSVData")
			.setEnablePolling(true)
			.setDataRefreshRate(3);

		return highChart;
	}

}
