package com.webonlineapp.hyjavachartsdemo10.examplecharts;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.common.Color;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.YAxis;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.webonlineapp.hyjavachartsdemo10.charts.DemoChartBase;
import com.webonlineapp.hyjavachartsdemo10.services.RestService;

public class GaugeDialOptions extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
	    
		chartOptions.getChart()
			.setType(ChartType.GAUGE);
		
		chartOptions.getTitle().setText("Gauge Dial Options");
		
		chartOptions.getPaneSingle()
			.setStartAngle(-150)
			.setEndAngle(150);
		
		YAxis yAxis = new YAxis();
		yAxis.setMin(0).setMax(100);
		chartOptions.getYAxis().add(yAxis);

		chartOptions.getPlotOptions().getGauge().getDial()
			.setRadius("100%")
			.setBackgroundColor(new Color("silver"))
			.setBorderColor(new Color("black"))
			.setBorderWidth(1)
			.setBaseWidth(15)
			.setTopWidth(1)
			.setBaseLength("90%")
			.setRearLength("50%");
		
		
		// Some of our example charts use a REST service to retrieve data.
		chartOptions.getData().setCsvURL(RestService.getURI() + "/GaugeCSVData")
			.setEnablePolling(true)
			.setDataRefreshRate(3);

		return highChart;
	}

}
