package com.webonlineapp.hyjavachartsdemo10.examplecharts;

import java.util.Arrays;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.series.SeriesNetworkgraph;
import com.webonlineapp.hyjavachartsdemo10.chartdata.NetworkGraphData;
import com.webonlineapp.hyjavachartsdemo10.charts.DemoChartBase;

public class NetworkGraphES extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		chartOptions.getChart().setType(ChartType.NETWORKGRAPH);
		chartOptions.getTitle().setText("The Indo-European Laungauge Tree");
		chartOptions.getSubtitle().setText("A Force-Directed Network Graph in Highcharts");

		chartOptions.getPlotOptions().getNetworkgraph()
			.setKeys(Arrays.asList("from", "to"));
		
		SeriesNetworkgraph seriesNetworkgraph = new SeriesNetworkgraph();
		seriesNetworkgraph.setColorByPoint(true).getDataLabels().setEnabled(true).setLinkFormat("");
		seriesNetworkgraph.setDataAsArrayObject(new NetworkGraphData().getSeriesData());
		chartOptions.getSeries().add(seriesNetworkgraph);

		return highChart;
	}
	
}
