package com.webonlineapp.hyjavachartsdemo10.examplecharts;

import java.util.Arrays;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.XAxis;
import com.hyjavacharts.model.highcharts.YAxis;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.constants.SeriesType;
import com.hyjavacharts.model.highcharts.constants.Stacking;
import com.hyjavacharts.model.highcharts.series.SeriesColumn;
import com.webonlineapp.hyjavachartsdemo10.charts.DemoChartBase;

public class ThreeDColumnWithStacking extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
				
		chartOptions.getChart().setType(ChartType.COLUMN)
			.getOptions3d()
				.setEnabled(true)
				.setAlpha(15)
				.setBeta(15)
				.setViewDistance(25)
				.setDepth(40);
		
		chartOptions.getTitle().setText("Total fruit consumption, grouped by gender");
		
		XAxis xAxi = new XAxis();
		xAxi.setCategories(Arrays.asList("Apples", "Oranges", "Pears", "Grapes", "Bananas"));
		chartOptions.getXAxis().add(xAxi);
		
		YAxis yAxi = new YAxis();
		yAxi.setAllowDecimals(false).setMin(0).getTitle().setText("Number of fruits");
		chartOptions.getYAxis().add(yAxi);

		chartOptions.getTooltip()
			.setHeaderFormat("<b>{point.key}</b><br>")
			.setPointFormat("<span style=\"color:{series.color}\">\u25CF</span> {series.name}: {point.y} / {point.stackTotal}");
		
		chartOptions.getPlotOptions()
			.getColumn()
				.setStacking(Stacking.NORMAL)
				.setDepth(40);
		
		SeriesColumn seriesColumn = new SeriesColumn();
		seriesColumn.setType(SeriesType.COLUMN).setName("John").setStack("male");
		seriesColumn.setDataAsArrayNumber(Arrays.asList(5, 3, 4, 7, 2));
		chartOptions.getSeries().add(seriesColumn);
		
		seriesColumn = new SeriesColumn();
		seriesColumn.setType(SeriesType.COLUMN).setName("Joe").setStack("male");
		seriesColumn.setDataAsArrayNumber(Arrays.asList(3, 4, 4, 2, 5));
		chartOptions.getSeries().add(seriesColumn);
		
		seriesColumn = new SeriesColumn();
		seriesColumn.setType(SeriesType.COLUMN).setName("Jane").setStack("female");
		seriesColumn.setDataAsArrayNumber(Arrays.asList(2, 5, 6, 2, 1));
		chartOptions.getSeries().add(seriesColumn);
		
		seriesColumn = new SeriesColumn();
		seriesColumn.setType(SeriesType.COLUMN).setName("Janet").setStack("female");
		seriesColumn.setDataAsArrayNumber(Arrays.asList(3, 0, 4, 4, 3));
		chartOptions.getSeries().add(seriesColumn);
		
		return highChart;
	}
	
}
