package com.webonlineapp.content;

import java.nio.file.FileSystems;

import com.hyjavaapex.chart.Apexchart;

public class ApexChartContent {

	/**
	 * 
	 * @param chart
	 * @return
	 */
	public String build(Apexchart chart) {
		return "<!DOCTYPE html>" + System.lineSeparator() + 			// html5
			   "<html>" + System.lineSeparator() + 						// start html
			   "<head>" + System.lineSeparator() +						// start head
			   "<title>chart</title>"+ System.lineSeparator() +			// title
			   "</head>" + System.lineSeparator() +						// end head
			   
			   "<body>" + System.lineSeparator() +						// start body
			   "<div id=\"container\" style=\"min-width: 310px; max-width: 800px; height: 400px; margin: 0 auto\"></div>" + System.lineSeparator() +

			   // Apexcharts after v3.29.0 has implemented ResizeObserver which WebView does not support.
			   // Need to implement a polyfill to include support: ResizeObserver.js
			   "<script src=file://" +
			   		FileSystems.getDefault().getPath("src/main/resources/ResizeObserver.js").toAbsolutePath().toString() + ">" +
			   "</script>" + System.lineSeparator() +
			   
			   "<script src=https://cdn.jsdelivr.net/npm/apexcharts@3.39.0></script>" + System.lineSeparator() +
			   
			   "<script>" + System.lineSeparator() +
			   "var chart = new ApexCharts(document.querySelector('#container'), " + chart.chartOptionsToJs() + ");" + System.lineSeparator() +
			   "chart.render();" + System.lineSeparator() +
			   "</script>" + System.lineSeparator() +
			   
			   "</body>" + System.lineSeparator() +						// end body
			   "</html>";												// end html
	}

}
