package com.webonlineapp.hyjavastockdemo10.examplecharts;

import java.util.ArrayList;
import java.util.Calendar;

import com.hyjavastock.chart.Highstock;
import com.hyjavastock.model.highstock.ChartOptions;
import com.hyjavastock.model.highstock.constants.RangeSelectorButtonType;
import com.hyjavastock.model.highstock.rangeselector.Buttons;
import com.hyjavastock.model.highstock.series.SeriesLine;
import com.hyjavastock.model.highstock.series.seriesline.Data;
import com.webonlineapp.hyjavastockdemo10.charts.DemoChartBase;

public class DynamicallyUpdatedData extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	private String loadFunction = 
			"var series = this.series[0];" + 
			"setInterval(function () {" + 
					"var x = (new Date()).getTime()," + 
					"y = Math.round(Math.random() * 100);" + 
					"series.addPoint([x, y], true, true);" + 
				"}, 1000);";

	public Highstock configure() {
		Highstock highStock = new Highstock();
		ChartOptions chartOptions = highStock.getChartOptions();
		
		chartOptions.getStockTools().getGui().setEnabled(false);
		
		chartOptions.getTime().setUseUTC(false);
		
		chartOptions.getChart().getEvents().getLoad().setFunctionBody(loadFunction);
				
		chartOptions.getRangeSelector().getButtons().add(new Buttons().setType(RangeSelectorButtonType.MINUTE).setCount(1).setText("1M"));
		chartOptions.getRangeSelector().getButtons().add(new Buttons().setType(RangeSelectorButtonType.MINUTE).setCount(5).setText("5M"));
		chartOptions.getRangeSelector().getButtons().add(new Buttons().setType(RangeSelectorButtonType.ALL).setText("ALL"));
		chartOptions.getRangeSelector().setSelected(0).setInputEnabled(false);
		
	    
		chartOptions.getTitle().setText("Live random data");
		chartOptions.getExporting().setEnabled(false);

		SeriesLine seriesLine = new SeriesLine();
		seriesLine.setName("Random data");
		seriesLine.setDataAsArrayObject(getSeriesData());
		chartOptions.getSeries().add(seriesLine);
		
		return highStock;
	}
	
	/**
	 * 
	 * @return
	 */
	private ArrayList<Data> getSeriesData() {
		Calendar cal = Calendar.getInstance();

		ArrayList<Data> data = new ArrayList<Data>();
		long time = cal.getTime().getTime();
		int i;
		
		for (i = -999; i <= 0; i += 1) {
			data.add(new Data().setX(time + i * 1000).setY(Math.round(Math.random() * 100)));
		}
		
		return data;
	}
	
}