package com.webonlineapp.hyjavastockdemo10.examplecharts;

import com.hyjavastock.chart.Highstock;
import com.hyjavastock.model.highstock.ChartOptions;
import com.hyjavastock.model.highstock.constants.SeriesType;
import com.hyjavastock.model.highstock.series.SeriesHlc;
import com.webonlineapp.hyjavastockdemo10.chartdata.AAPLOpenHighLowCloseData;
import com.webonlineapp.hyjavastockdemo10.charts.DemoChartBase;

public class HLC extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Highstock configure() {
		Highstock highStock = new Highstock();
		ChartOptions chartOptions = highStock.getChartOptions();
		
		chartOptions.getStockTools().getGui().setEnabled(false);
		
		chartOptions.getRangeSelector().setSelected(2);
		chartOptions.getTitle().setText("AAPL Stock Price");

		SeriesHlc seriesHlc = new SeriesHlc();
		seriesHlc.setType(SeriesType.HLC).setName("AAPL Stock Price").setUseOhlcData(true)
			.getDataAsJsValue().setJsValue(new AAPLOpenHighLowCloseData().get());
		chartOptions.getSeries().add(seriesHlc);
		
		return highStock;
	}
	
}