package com.webonlineapp.hyjavastockdemo10.examplecharts;

import com.hyjavastock.chart.Highstock;
import com.hyjavastock.model.highstock.ChartOptions;
import com.hyjavastock.model.highstock.constants.SeriesType;
import com.hyjavastock.model.highstock.series.SeriesHollowcandlestick;
import com.webonlineapp.hyjavastockdemo10.chartdata.AAPLOpenHighLowCloseData;
import com.webonlineapp.hyjavastockdemo10.charts.DemoChartBase;

public class HollowCandlestick extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Highstock configure() {
		Highstock highStock = new Highstock();
		ChartOptions chartOptions = highStock.getChartOptions();
		
		chartOptions.getStockTools().getGui().setEnabled(false);
		chartOptions.getRangeSelector().setSelected(1);
		
		chartOptions.getNavigator().getSeriesAsObject().setColor(chartOptions.getColors().get(0));
		
		SeriesHollowcandlestick seriesHollowcandlestick = new SeriesHollowcandlestick();
		seriesHollowcandlestick.setType(SeriesType.HOLLOWCANDLESTICK).setName("Hollow Candlestick");
		seriesHollowcandlestick.getDataAsJsValue().setJsValue(new AAPLOpenHighLowCloseData().get());
		chartOptions.getSeries().add(seriesHollowcandlestick);
		
		return highStock;
	}
	
}