package com.webonlineapp.hyjavastockdemo10.examplecharts;

import com.hyjavastock.chart.Highstock;
import com.hyjavastock.model.highstock.ChartOptions;
import com.hyjavastock.model.highstock.YAxis;
import com.hyjavastock.model.highstock.constants.HorizontalAlign;
import com.hyjavastock.model.highstock.constants.SeriesType;
import com.hyjavastock.model.highstock.series.SeriesMacd;
import com.hyjavastock.model.highstock.series.SeriesOhlc;
import com.hyjavastock.model.highstock.series.SeriesPivotpoints;
import com.webonlineapp.hyjavastockdemo10.chartdata.AAPLOpenHighLowCloseData;
import com.webonlineapp.hyjavastockdemo10.charts.DemoChartBase;

public class MACDPivotPoints extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Highstock configure() {
		Highstock highStock = new Highstock();
		ChartOptions chartOptions = highStock.getChartOptions();
		
		chartOptions.getStockTools().getGui().setEnabled(false);
	    
		chartOptions.getTitle().setText("AAPL Stock Price");
		chartOptions.getSubtitle().setText("With MACD and Pivot Points technical indicators");
		chartOptions.getRangeSelector().setSelected(2);
		
		YAxis yAxi = new YAxis();
		yAxi.setHeight("75%").getResize().setEnabled(true);
		yAxi.getLabels().setAlign(HorizontalAlign.RIGHT).setX(-3);
		yAxi.getTitle().setText("AAPL");
		chartOptions.getYAxis().add(yAxi);
		
		yAxi = new YAxis();
		yAxi.setTop("75%").setHeight("25%").setOffset(0).getTitle().setText("MACD");
		yAxi.getLabels().setAlign(HorizontalAlign.RIGHT).setX(-3);
		chartOptions.getYAxis().add(yAxi);
		
		SeriesOhlc seriesOhlc = new SeriesOhlc();
		seriesOhlc.setType(SeriesType.OHLC).setId("aapl").setName("AAPL Stock Price").setZIndex(1);
		seriesOhlc.getDataAsJsValue().setJsValue(new AAPLOpenHighLowCloseData().get());
		chartOptions.getSeries().add(seriesOhlc);
		
		SeriesPivotpoints seriesPivotpoints = new SeriesPivotpoints();
		seriesPivotpoints.setType(SeriesType.PIVOTPOINTS)
			.setLinkedTo("aapl").setZIndex(0).setLineWidth(1)
			.getDataLabels().setCrop(false).setY(4).getStyle().setFontSize("9");
		chartOptions.getSeries().add(seriesPivotpoints);

		SeriesMacd seriesMacd = new SeriesMacd();
		seriesMacd.setType(SeriesType.MACD)
			.setYAxis(1).setLinkedTo("aapl");
		chartOptions.getSeries().add(seriesMacd);
		
		return highStock;
	}
	
}