package com.webonlineapp.hyjavastockdemo10.examplecharts;

import java.util.ArrayList;

import com.hyjavastock.chart.Highstock;
import com.hyjavastock.model.common.Color;
import com.hyjavastock.model.common.LinearGradient;
import com.hyjavastock.model.common.NullOption;
import com.hyjavastock.model.common.Stop;
import com.hyjavastock.model.highstock.ChartOptions;
import com.hyjavastock.model.highstock.constants.SeriesType;
import com.hyjavastock.model.highstock.series.SeriesAreaspline;
import com.webonlineapp.hyjavastockdemo10.chartdata.AAPLCloseData;
import com.webonlineapp.hyjavastockdemo10.charts.DemoChartBase;

public class AreaSpline extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Highstock configure() {
		Highstock highStock = new Highstock();
		ChartOptions chartOptions = highStock.getChartOptions();
		
		chartOptions.getStockTools().getGui().setEnabled(false);
	    
		chartOptions.getTitle().setText("AAPL Stock Price");
		chartOptions.getRangeSelector().setSelected(1);
		
		SeriesAreaspline seriesAreaspline = new SeriesAreaspline();
		seriesAreaspline.setType(SeriesType.AREASPLINE).setName("AAPL Stock Price").setThreshold(NullOption.NULL_NUMBER);
		seriesAreaspline.getTooltip().setValueDecimals(2);
		
		ArrayList<Stop> stops = new ArrayList<Stop>();
		stops.add(new Stop(0, chartOptions.getColors().get(0)));
		stops.add(new Stop(1, new Color().setColorValue("Highcharts.color(Highcharts.getOptions().colors[0]).setOpacity(0).get('rgba')")));
		seriesAreaspline.setFillColor(new Color(new LinearGradient(0, 0, 0, 1), stops));
		
		seriesAreaspline.getDataAsJsValue().setJsValue(new AAPLCloseData().get());
		chartOptions.getSeries().add(seriesAreaspline);
		
		return highStock;
	}
	
}