package com.webonlineapp.hyjavastockdemo10.examplecharts;

import com.hyjavastock.chart.Highstock;
import com.hyjavastock.model.highstock.ChartOptions;
import com.hyjavastock.model.highstock.constants.ChartType;
import com.hyjavastock.model.highstock.series.SeriesArearange;
import com.webonlineapp.hyjavastockdemo10.chartdata.RangeData;
import com.webonlineapp.hyjavastockdemo10.charts.DemoChartBase;

public class ColumnRange extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Highstock configure() {
		Highstock highStock = new Highstock();
		ChartOptions chartOptions = highStock.getChartOptions();
		
		chartOptions.getStockTools().getGui().setEnabled(false);
		
		chartOptions.getChart().setType(ChartType.COLUMNRANGE);
	    
		chartOptions.getTitle().setText("Temperature variation by day");
		chartOptions.getRangeSelector().setSelected(2);
		chartOptions.getTooltip().setValueSuffix("°C");
		
		SeriesArearange seriesArearange = new SeriesArearange();
		seriesArearange.setName("Temperatures");
		seriesArearange.getDataAsJsValue().setJsValue(new RangeData().get());
		chartOptions.getSeries().add(seriesArearange);
		
		return highStock;
	}
	
}