package com.webonlineapp.hyjavastockdemo10.examplecharts;

import javax.ws.rs.client.WebTarget;

import com.hyjavastock.chart.Highstock;
import com.hyjavastock.model.highstock.ChartOptions;
import com.hyjavastock.model.highstock.YAxis;
import com.hyjavastock.model.highstock.constants.FlagsShape;
import com.hyjavastock.model.highstock.constants.SeriesType;
import com.hyjavastock.model.highstock.series.SeriesFlags;
import com.hyjavastock.model.highstock.series.SeriesLine;
import com.hyjavastock.model.highstock.series.seriesflags.Data;
import com.webonlineapp.hyjavastockdemo10.charts.DemoChartBase;
import com.webonlineapp.hyjavastockdemo10.services.RestService;
import com.webonlineapp.hyjavastockdemo10.util.DateUtil;

public class FlagsMarkingEvents extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Highstock configure() {
		Highstock highStock = new Highstock();
		ChartOptions chartOptions = highStock.getChartOptions();
		
		chartOptions.getStockTools().getGui().setEnabled(false);
	    
		chartOptions.getTitle().setText("USD to EUR exchange rate");
		chartOptions.getRangeSelector().setSelected(0);
		
		chartOptions.getTooltip().setValueDecimals(4).setShared(true);

		YAxis yAxi = new YAxis();
		yAxi.getTitle().setText("Exchange rate");
		chartOptions.getYAxis().add(yAxi);

		SeriesLine seriesLine = new SeriesLine();
		seriesLine.setName("USD to EUR").setId("dataseries");
		seriesLine.getDataAsJsValue().setJsValue(getSeriesData());
		chartOptions.getSeries().add(seriesLine);
		
		SeriesFlags seriesFlags = new SeriesFlags();
		seriesFlags.setType(SeriesType.FLAGS)
			.setOnSeries("dataseries")
			.setShape(FlagsShape.CIRCLEPIN)
			.setWidth(16);
		seriesFlags.getDataAsArrayObject().add(new Data().setX(DateUtil.toMilli(2017, 12, 1)).setTitle("A").setText("Some event with a description"));
		seriesFlags.getDataAsArrayObject().add(new Data().setX(DateUtil.toMilli(2017, 12, 12)).setTitle("B").setText("Some event with a description"));
		seriesFlags.getDataAsArrayObject().add(new Data().setX(DateUtil.toMilli(2017, 12, 22)).setTitle("C").setText("Some event with a description"));
		chartOptions.getSeries().add(seriesFlags);
		
		return highStock;
	}
	
	/**
	 * 
	 * @return
	 */
	private String getSeriesData() {
		// Some of our example charts use a REST service to retrieve data.
		// REST service returns json data in format [ [date, exchange-rate], [...] ]
		WebTarget webTarget = new RestService().getWebTarget();
		
		return webTarget.path("HighstockUsdEurJson").request().get(String.class);
	}
	
}