package com.webonlineapp.hyjavastockdemo10.examplecharts;

import javax.ws.rs.client.WebTarget;

import com.hyjavastock.chart.Highstock;
import com.hyjavastock.model.common.Color;
import com.hyjavastock.model.highstock.ChartOptions;
import com.hyjavastock.model.highstock.YAxis;
import com.hyjavastock.model.highstock.series.SeriesLine;
import com.webonlineapp.hyjavastockdemo10.charts.DemoChartBase;
import com.webonlineapp.hyjavastockdemo10.services.RestService;

public class PlotBandsOnYAxis extends DemoChartBase {
	private static final long serialVersionUID = 1L;

	public Highstock configure() {
		Highstock highStock = new Highstock();
		ChartOptions chartOptions = highStock.getChartOptions();
		
		chartOptions.getStockTools().getGui().setEnabled(false);
	    
		chartOptions.getTitle().setText("USD to EUR exchange rate");
		chartOptions.getRangeSelector().setSelected(1);
		
		chartOptions.getTooltip().setValueDecimals(4).setShared(true);

		YAxis yAxi = new YAxis();
		yAxi.getTitle().setText("Exchange rate");
		yAxi.getPlotBandsSingle()
			.setFrom(0.8339).setTo(0.8652)
			.setColor(new Color().setRGBA(68, 170, 213, 0.2))
			.getLabel().setText("Last quarter year's value range");
		
		chartOptions.getYAxis().add(yAxi);

		SeriesLine seriesLine = new SeriesLine();
		seriesLine.setName("USD to EUR").getTooltip().setValueDecimals(4);
		seriesLine.getDataAsJsValue().setJsValue(getSeriesData());
		chartOptions.getSeries().add(seriesLine);
		
		return highStock;
	}
	
	/**
	 * 
	 * @return
	 */
	private String getSeriesData() {
		// Some of our example charts use a REST service to retrieve data.
		// REST service returns json data in format [ [date, exchange-rate], [...] ]
		WebTarget webTarget = new RestService().getWebTarget();
		
		return webTarget.path("HighstockUsdEurJson").request().get(String.class);
	}
	
}