package com.webonlineapp.controller;

import java.util.HashMap;
import java.util.Map;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.servlet.ModelAndView;

import com.hyjavaapex.chart.Apexchart;
import com.hyjavacharts.chart.Highchart;
import com.hyjavastock.chart.Highstock;
import com.webonlineapp.charts.ApexChartsBasicColumn;
import com.webonlineapp.charts.HighchartsLine;
import com.webonlineapp.charts.HighchartsPie;
import com.webonlineapp.charts.HighstockColumn;

/*
 * A simple proof of concept example application to show how to integrate  
 *   Highcharts and the HyJavaCharts library
 * plus
 *   Highcharts Stock and the HyJavaStock library
 * plus
 *   ApexCharts and the HyJavaApex library 
 *   
 * in a Spring application.
 * 
 * NOTE: We are not experts in Spring so there will no doubt be better ways to accomplish the same thing.
 * 
 */
@Controller
public class Demo {
	
	/**
	 * 
	 * @return
	 */
	@RequestMapping("/")
	public ModelAndView home() {
		return new ModelAndView("home");
	}
	
	/**
	 * 
	 * @param chartName
	 * @return
	 */
	@RequestMapping("/displaychart")
	public ModelAndView displayChart(@RequestParam String chartName) {
		if (chartName.equals("Highstock Column Chart")) {
        	Highstock hs = new HighstockColumn().configure();
        	String globalOptions = hs.globalOptionsToJs();
			String chartOptions = hs.chartOptionsToJs();
		    
			Map<String, Object> chartModel = new HashMap<String, Object>();
	
			chartModel.put("chartName", chartName);
			chartModel.put("globalOptions", globalOptions);
			chartModel.put("chartOptions", chartOptions);
		    
		    return new ModelAndView("highstockdemo", "model", chartModel);
		}
		else if (chartName.equals("ApexCharts Column Chart")) {
			Apexchart apexchart = new ApexChartsBasicColumn().configure();
			String chartOptions = apexchart.chartOptionsToJs();
		    
			Map<String, Object> chartModel = new HashMap<String, Object>();
	
			chartModel.put("chartName", chartName);
			chartModel.put("chartOptions", chartOptions);
		    
		    return new ModelAndView("apexchartdemo", "model", chartModel);
		}
		else {
			Highchart hc = null;
			
			if (chartName.equals("Highcharts Line Chart")) {
				hc = new HighchartsLine().configure();
			}
			else {
				hc = new HighchartsPie().configure();
			}
			
			String globalOptions = hc.globalOptionsToJs();
			String chartOptions = hc.chartOptionsToJs();
		    
			Map<String, Object> chartModel = new HashMap<String, Object>();
	
			chartModel.put("chartName", chartName);
			chartModel.put("globalOptions", globalOptions);
			chartModel.put("chartOptions", chartOptions);
		    
		    return new ModelAndView("highchartdemo", "model", chartModel);
		}
	}
}
